#!/usr/bin/perl
# ----------------------------------------------------------------------
# | Module:     test.pl                                                |
# |                                                                    |
# | Purpose:    Short wine/perl interface test                         |
# |                                                                    |
# |                                                                    |
# |                                                                    |
# ----------------------------------------------------------------------


# --------------------------------------------------------------
# | The stuff necessary to use the Wine/Perl interface         |
# --------------------------------------------------------------
use lib "wine/blib/arch";
use lib "wine/blib/lib";
use ExtUtils::testlib;
use wine;



    sub main
    {
        $wine = wine->new ("wine_callback");
        $wine->init;
    }

    sub wine_callback
    {
        $wine->debug (1);
        $z = $wine->call
        (
            ret_type => "int",
            module   => "kernel32",
            function => "GlobalAddAtomA",
            args     => [ "barndog" ]
        );
    }

    main ();
